Package org.apache.sling.cms.core.internal.models

## Class EditableResourceImpl

- java.lang.Object
- - org.apache.sling.cms.core.internal.models.EditableResourceImpl

All Implemented Interfaces:
  `EditableResource`

    @Model(adaptables=org.apache.sling.api.resource.Resource.class,
           adapters=org.apache.sling.cms.EditableResource.class)
    public class EditableResourceImpl
    extends Object
    implements EditableResource

A model for representing a resource that can be edited through the Sling CMS.

### Constructor Summary

Constructors
`EditableResourceImpl​(org.apache.sling.api.resource.Resource resource)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Component` `getComponent()`
`org.apache.sling.api.resource.Resource` `getComponentResource()` Gets the component for the specified resource.
`String` `getEditPath()` Returns the path for the editor for this resource if available
`org.apache.sling.api.resource.Resource` `getEditResource()` Returns the resource for the editor for this resource if available
`org.apache.sling.api.resource.Resource` `getResource()` Gets the current resource.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EditableResourceImpl

    public EditableResourceImpl​(org.apache.sling.api.resource.Resource resource)

### Method Detail

#### getComponent

    public Component getComponent()

Specified by:
  `getComponent` in interface `EditableResource`

#### getComponentResource

    public org.apache.sling.api.resource.Resource getComponentResource()

Gets the component for the specified resource.

Specified by:
  `getComponentResource` in interface `EditableResource`
Returns:
  the component for the specified resource

#### getEditPath

    public String getEditPath()

Returns the path for the editor for this resource if available

Specified by:
  `getEditPath` in interface `EditableResource`
Returns:
  the editor path or null

#### getEditResource

    public org.apache.sling.api.resource.Resource getEditResource()

Returns the resource for the editor for this resource if available

Specified by:
  `getEditResource` in interface `EditableResource`
Returns:
  the editor resource or null

#### getResource

    public org.apache.sling.api.resource.Resource getResource()

Gets the current resource.

Specified by:
  `getResource` in interface `EditableResource`
Returns:
  the current resource